Subject: bug#51689: emacs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Nov 2021 21:26:09 +0200

> Date: Mon, 8 Nov 2021 17:44:54 +0100
> From: Han Boetes <[email-masked]>
> 
> I compiled emacs with native compilation on OpenBSD-7.0 amd64 like this:
> 
>     export CC=egcc \
>            CPP="ecpp" \
>            CPPFLAGS="-I/usr/local/include" \
>            LDFLAGS="-L/usr/local/lib"
>     ./autogen.sh
>     ./configure --without-makeinfo --without-x --mandir=/usr/local/man --with-native-compilation
>     gmake
> 
> egcc (GCC) 11.2.0, is just gcc-11 which is traditionally installed as
> egcc to avoid conflicts with the usually somewhat older gcc in base.
> 
> 
> Now if I start emacs with:
> 
>     emacs -nw -Q ~/.config/emacs/init.el
> 
> The file init.el is not loaded and I get a single error message:
> 
>     Symbol’s function definition is void: regexp-opt-group

Please try the latest emacs-28 branch, I hope this problem is now
fixed.  But you will need to perform a complete bootstrap.